package cn.iocoder.yudao.module.order.vo.approval;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 订单审批单取消申请 Request VO")
@Data
@EqualsAndHashCode
@ToString(callSuper = true)
public class OrderApprovalCancelApplyReqVO {

    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty(value = "取消原因")
    private String reason;


}
