package cn.iocoder.yudao.module.order.vo.orderWarehouseIn;

import cn.iocoder.yudao.module.order.vo.orderLocation.OrderLocationCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 入仓储位请求 Request VO")
public class OrderWarehouseInOrderLocationReqVO {

    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty(value = "储位列表")
    private List<OrderLocationCreateReqVO> orderLocationCreateReqVOList;

}
